View Issue Details

IDProjectCategoryLast Update
0021640AI War 2[All Projects] Gameplay IssueOct 11, 2019 9:22 pm
ReporterAsteroidAssigned Tox4000Bughunter 
Severitycrash 
Status resolvedResolutionfixed 
Product Version0.888 Astro Examination 
Fixed in Version0.900 Custom Fleets With Empty Slots 
Summary0021640: Flexible selection hotkeys need to come back unless a serious alternative is implemented
DescriptionCurrently, contrary to standard RTS conventions, number hotkeys* are only assignable to fleets not any selection you make. This system prevents you from quickly recalling a selection in the middle of the action, forcing you to use slower and more cumbersome means like zooming in to double-click a unit, zooming out to drag-select, or scrolling through the selection list. Those are very annoying to do if you can't pause the game because you don't want to bother your (eventual) coop buddies: in a typical RTS you'd hotkey a few groups of units right before sending them into the action.

Here are some examples of important things you can't do easily with the current system:

- Can't hotkey just the cloaked units in your fleet which you want to use for a stealthy gate raid without the flagship attracting attention. (Said units can be forced to be split among two fleets if they are the same type.)
- Can't hotkey the snipers across three attacking fleets to toggle their hold fire at the right moment to avoid unwanted aggro. (Unit AI might improve in this area but won't ever be perfect, we need control - also again said units can be forced to be split among two fleets if they are the same type.)
- Same as above for other any kind of unit which benefits from being herded around: parasites wasting their time on turrets and getting wrecked for nothing come to mind, as well as raiders and melee units.
- Same as above if you need different standing orders for different parts of the fleet - your only chance to change those without messing up the other group is hotkeys. (Again, keep in mind you can't always specialize fleets, since units of the same kind are disallowed from being in the same fleet.)
- Can't hotkey together 2 flagships, a combat factory and a battlestation. This is very annoying because the battlestation doesn't get selected by default, it's considered to be a "civilian" unit. So you need to Ctrl-select by then you get all the engineers, defensive frigates and what not. Hotkey would work best for moving those from system to system on a deep strike when loaded.

I don't have a ready-made solution to this because any solution also has to deal with the topics of standing orders and units being rebuilt. But something has to be done about this, because currently the game removes a core tool every RTS gamer is used to having and using in his own style, without providing a satisfying alternative.

---
*I'm thinking of number hotkeys used as a short-lived tool too recall selections here, not as long-term control groups with individual behaviors like AI War 1 had.
TagsNo tags attached.

Activities

RocketAssistedPuffin

Sep 28, 2019 5:12 pm

developer   ~0053298

The only things that come to mind here are:

Making the Fleet hotkeys the F1-12 (F for Fleet!), and the normal numbers are again normal control groups.

Somehow, and it feels...difficult and annoying to do, for the unit count in a control group to be "remembered". If there are 20 Raptors in a Fleet, and 10 are in group 1, 10 in group 2, then it would remember how many were in each. If 2 were lost in group 1, and 5 were lost in group 2, then when that Fleet gains replacements, 2 of them are added to group 1, and 5 are added to group 2, to fill them out. Kind of...like how Fleets have caps, but it's for a control group. The main issue I see here in practice is you could be rallying units to them from a distant Flagship if you were deepstriking, which could have ow results.

To clear a group, maybe the END key? So if you're splitting up the Fleets that had Snipers, selecting the group then hitting END would disband it.

Asteroid

Sep 29, 2019 1:16 am

reporter   ~0053306

Perhaps "dumb" control groups without any attempt at dealing with rebuilding, standing orders or anything else could be put on the F1-F11 keys instead (not F12, that's Steam's screenshot key). Though Function keys are ridiculously small on non-gaming keyboards these days, and by moving to different keys you've already lost part the benefit of supporting controls that every RTS gamer knows by heart.

OzoneGrif

Sep 30, 2019 6:36 pm

reporter   ~0053345

> Making the Fleet hotkeys the F1-12 (F for Fleet!), and the normal numbers are again normal control groups.
This looks good, the player can always change the keys in the Controls panel anyway if he wants something else than F1/F2/Fx...
I think SHIFT and ALT are reserved to respectively ADD and REMOVE? So we can't use SHIFT+1 for fleets?

> If 2 were lost in group 1, and 5 were lost in group 2, then when that Fleet gains replacements, 2 of them are added to group
My opinion is it is unnecessary to fill replacements back to a group. It could actually cause issues in some cases.
These groups are meant to be very temporary and recreated regularly depending on what occurs during the attacks.
Also, no need to clear groups, the player will just overwrite them as required.

x4000Bughunter

Oct 11, 2019 9:22 pm

administrator   ~0053606

I went a bit of a different way, but hopefully you guys enjoy:

* There are 9 possible fleets that you can create at any of your command stations, now. Each one has 7 empty ship lines in it, and they are 3x cloaked, 3x velocity (fast flagship), and 3x workhorse (normal flagship).
** These can be constructed at any point and you can start putting some of your specialized ships into them via ship swapping. The interface makes this clear and suggests it, as well. Basically for people who wanted to pull aside just their melee ships or cloaked raiders or whatever, now you can do that; this lets you control "sub fleets" in effect, by splitting your existing ship lines among more fleets, exchanging empty slots for ship lines you find elsewhere.
** This was something that Chris went back and forth on a lot of times in terms of how to handle control groups that were more specific than 1+ fleets at a time. Ultimately the display and automation benefits of having control groups always stay linked to just 1+ fleets outweighed the benefits of changing that; but in order to allow for players to have smaller custom fleets as they may desire, activated by control group as they may desire, here's this new feature.
** This is, of course, in addition to the hotkeys for quickly selecting units of specific criteria a while ago (cloaked units, melee units, whatever). This is for when you want to make a permanent or semi-permanent sub-grouping of ships for whatever reason (of which there are many valid ones to have).

The release notes go into a TON of detail on the rationale behind it: https://steamcommunity.com/games/573410/announcements/detail/3032537193884066560

Issue History

Date Modified Username Field Change
Sep 13, 2019 3:34 am Asteroid New Issue
Sep 28, 2019 5:12 pm RocketAssistedPuffin Note Added: 0053298
Sep 29, 2019 1:16 am Asteroid Note Added: 0053306
Sep 30, 2019 6:36 pm OzoneGrif Note Added: 0053345
Oct 11, 2019 9:22 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 11, 2019 9:22 pm x4000Bughunter Status new => resolved
Oct 11, 2019 9:22 pm x4000Bughunter Resolution open => fixed
Oct 11, 2019 9:22 pm x4000Bughunter Fixed in Version => 0.900 Custom Fleets With Empty Slots
Oct 11, 2019 9:22 pm x4000Bughunter Note Added: 0053606